###################################################
### chunk number 1: 
###################################################
library(sendplot)


###################################################
### chunk number 2: 
###################################################
x1 = 1:7
y1 = 1:7  
x2 = 7:1
y2 = rep(4,7)


###################################################
### chunk number 3: 
###################################################
plot.calls = "plot(x1,y1,col='green', pch=3, cex=1.5,xlab='',ylab='');
              points(x2,y2,pch=4, cex=1.5, col='purple');
              title(xlab='x values', ylab='y values')"


###################################################
### chunk number 4: 
###################################################
 x = c(x1,x2)
 y = c(y1,y2)


###################################################
### chunk number 5: 
###################################################
x.lbls = list()
x.lbls$letter = rep(c("a","b","c","d","e","f","g"),2)
x.lbls$number = 1:14
x.lbls = as.data.frame(x.lbls)
x.lbls


###################################################
### chunk number 6: 
###################################################
sendxy(plot.call = plot.calls, 
       x=x, y=y,
       x.lbls=x.lbls,  
       bound.pt=FALSE, 
       source.plot=NA, paint=FALSE,
       img.prog=NA,fname.root="testXY",resize="800x1100", 
       up.left=c(124,130),low.right=c(713,885), spot.radius=5)


###################################################
### chunk number 7: 
###################################################
x = 1:4
y = 1:5
z = t(matrix(round(rnorm(20),digits=3), ncol=4))


###################################################
### chunk number 8: 
###################################################
plot.calls = "image(x=x, y=y, z=z);title(main='sendimage example')"


###################################################
### chunk number 9: 
###################################################
x.lbls = list()
x.lbls$sex = c("F", "M", "F", "F")
x.lbls$age = c(27, 73, 46, 50)
x.lbls$stage = c(1,1,3,2)
x.lbls = as.data.frame(x.lbls)
y.lbls = list()
y.lbls$chromosome = c("chr1", "chr2", "chrX", "chr7", "chrY")
y.lbls$location = c(92526, 486844000,2984248632,1387071184,3048286585)
xy.lbls = list()
intensity = matrix(c(-.3,1.0,.3,-.07,-.4,1.2,.4,.3,1.0,-.5,-.06,1.1,.04,.5,.03,-.09,-.04,.06,.01,.03),nrow=5)
xy.lbls$intensity = intensity
QC = matrix(c(T,T,T,T,T,F,T,T,T,F,T,T,T,T,T,F,T,F,T,T), nrow=5)
xy.lbls$QC = QC



###################################################
### chunk number 10: 
###################################################
 sendimage(plot.call = plot.calls, x=x, y=y, z=z,z.value='value',
          x.lbls = x.lbls, y.lbls=y.lbls, xy.lbls=xy.lbls,
          up.left=c(101,99),low.right=c(735,914),
          bound.pt=FALSE, source.plot=NA, paint=FALSE,
          img.prog=NA,fname.root="testImg", spot.radius=10)


###################################################
### chunk number 11: 
###################################################
x =  matrix(rnorm(15), nrow=5, ncol=3)


###################################################
### chunk number 12: 
###################################################
rcol = c("red", "blue", "yellow", "purple", "blue")
ccol = c("black", "green", "black")


###################################################
### chunk number 13: 
###################################################
heatmap.send(x, RowSideColors=rcol, ColSideColors=ccol,
             z.value="value",
             bound.pt=FALSE, paint=FALSE,source.plot=NA,
             fname.root="heatmapSendPlot",resize="800x1100",
             up.left=c(288,203),low.right=c(620,940),
	     spot.radius=10)


###################################################
### chunk number 14: 
###################################################
library(sendplot)
data("aCGHex")


###################################################
### chunk number 15: 
###################################################
mat=matrix(c(rep(c(rep(2,8),rep(0,2)),1),
       rep(c(rep(1,8),rep(4,2)),14),
       rep(c(rep(3,8),rep(0,2)),2)),
       ncol=10,byrow=TRUE)
mat



###################################################
### chunk number 16: 
###################################################
plot.calls = c("image(x=x,y=y,z=t(z),zlim=c(-0.5,0.5),ylim=range(scanLoc,na.rm=T),col=c(hsv(h=2/6,v=seq(1,0,length=1000)^1.15), hsv(h=0/6,v=seq(0,1,length=1000)^1.15)),axes=F,xlab='',ylab='')",   "plot(ddr,axes = FALSE, xaxs = 'i', leaflab = 'none',main=ttl)",   "image(x=seq(from=-0.5,to=0.5,length=1000),y=1,z=t(zlgnd),zlim=c(-0.5,0.5),col=c(hsv(h=2/6,v=seq(1,0,length=1000)^1.15),hsv(h=0/6,v=seq(0,1,length=1000)^1.15)), axes=F,xlab='',ylab='')",   "image(x=0:1,y=0:1,z=matrix(rep(NA,4),ncol=2),xlim=range(c(W.lw,W.up),na.rm=T),ylim=range(scanLoc,na.rm=T),zlim=c(0,1),axes=F,xlab='',ylab='')")



###################################################
### chunk number 17: 
###################################################
scanDX = 1:dim(aCGH$mapping.info)[1]
bioDX = scanDX
colnames(aCGH$log2.ratios.fitted)=aCGH$inventory$sample.ID
ManDist=dist(t(aCGH$log2.ratios.fitted),method = "manhattan")
hc=hclust(ManDist,method="ward")
scanLoc=aCGH$mapping.info$loc.genome[scanDX]
scanLoc[which(diff(scanLoc)<=0)]=scanLoc[which(diff(scanLoc)<=0)]-0.001
ddr=as.dendrogram(hc)
nsmpl = aCGH$data.info$nsmpl
smplDX = 1:nsmpl
ttl = "Region: 4q13"
zlgnd=array(seq(from=-0.5,to=0.5,length=1000),dim=c(1,1000))
x = 1:length(smplDX)
y = scanLoc
z.value="log2.ratios.fitted"
z = aCGH$log2.ratios.fitted[scanDX,hc$order]
z.raw = z
z[z>0.5]=0.5
z[z<(-0.5)]=-0.5
rowSort=function(i,x) sort(x[i,])
z.sort=t(mapply(rowSort,1:(dim(z.raw)[1]),MoreArgs=list(x=z.raw)))
lwDX=1:ceiling(nsmpl/4)
upDX=(floor((3/4)*nsmpl)+1):nsmpl
W.up=rowMeans(z.sort[,upDX],na.rm=T)
W.lw=rowMeans(z.sort[,lwDX],na.rm=T)


###################################################
### chunk number 18: 
###################################################
mai.mat = matrix(0, ncol=4, nrow=4, byrow=TRUE)
mai.mat[1,] = c(.5,0,.5,0)
mai.mat[2,] = c(0,0,.3,0)
mai.mat[3,] = c(.4,.4,.2,.4)
mai.mat[4,] = c(.5,.2,.5,.2)
mai.prc = FALSE


###################################################
### chunk number 19: 
###################################################
plt1.ind = 1
plot1 = list()

nlbl=50

eval.js("sample.colors=as.character(aCGH$inventory$sex)")
colorSet =c("hotpink","darkblue", "green")
lev = levels(factor(sample.colors))
for(i in 1:length(lev)){
  sample.colors[sample.colors==lev[i]] = colorSet[i]
}

count.arm=sum((aCGH$Band.Aid$Regions[[2]]$Upper>=min(scanLoc,na.rm=T))
  &(aCGH$Band.Aid$Regions[[2]]$Lower<=max(scanLoc,na.rm=T)))

count.broadband=sum((aCGH$Band.Aid$Regions[[3]]$Upper>=min(scanLoc,na.rm=T))
  &(aCGH$Band.Aid$Regions[[3]]$Lower<=max(scanLoc,na.rm=T)))

count.finband=sum((aCGH$Band.Aid$Regions[[4]]$Upper>=min(scanLoc,na.rm=T))
  &(aCGH$Band.Aid$Regions[[4]]$Lower<=max(scanLoc,na.rm=T)))

cat("label counts:",count.arm,count.broadband,count.finband,fill=T)
cat("target number=",nlbl,fill=T)
ilbl=order(abs(c(count.arm,count.broadband,count.finband,length(scanDX))-nlbl))[1]
cat("ilbl=",ilbl,fill=T)

if(ilbl<=3){
  if(ilbl==1) bandDX=1:40
  
  if(ilbl==2) bandDX=((sum(aCGH$Band.Aid$Regions[[3]]$Upper<=min(scanLoc,na.rm=T),na.rm=T)+1)
       :(sum(aCGH$Band.Aid$Regions[[3]]$Lower<=max(scanLoc,na.rm=T),na.rm=T)))
  
  if(ilbl==3) bandDX=((sum(aCGH$Band.Aid$Regions[[4]]$Upper<=min(scanLoc,na.rm=T),na.rm=T)+1)
       :(sum(aCGH$Band.Aid$Regions[[4]]$Lower<=max(scanLoc,na.rm=T),na.rm=T)))
  
  lbls=paste(aCGH$Band.Aid$Regions[[ilbl+1]]$Chrom[bandDX],
    aCGH$Band.Aid$Regions[[ilbl+1]]$Label[bandDX],sep="")
  
  plot1[plt1.ind] =  "axis(2,aCGH$Band.Aid$Regions[[ilbl+1]]$Center[bandDX],tick=F,labels=lbls,las=2,cex.axis=1)"
  plt1.ind = plt1.ind +1 
  plot1[plt1.ind] = "axis(2,aCGH$Band.Aid$Regions[[ilbl+1]]$Lower[bandDX], labels=F)"
  plt1.ind = plt1.ind +1 
  
}

if(ilbl==4){   
  lbls=as.character(aCGH$mapping.info$spot.ID[scanDX])
  plot1[plt1.ind] = "axis(2,aCGH$mapping.info$loc.genome[scanDX],tick=F,
          labels=lbls, las=2,cex.axis=1)"
  plt1.ind = plt1.ind +1 
}


plot1[plt1.ind] = "abline(v=(0:nsmpl)+1/2,col=7,lty=1,lwd=1/3)"
plt1.ind = plt1.ind +1

if(length(sample.colors)==1){
  plot1[plt1.ind] = "axis(3,1:length(smplDX),labels=aCGHsub$inventory$sample.ID[hc$order],cex.axis=1,las=2)"
  plt1.ind = plt1.ind +1 
}                                      

if(length(sample.colors)!=1){
  unq.colors=unique(sample.colors[hc$order])
  lbls2=aCGH$inventory$sample.ID[hc$order]
  col.labs=sample.colors[hc$order]
  for(j in 1:length(unq.colors)){
    iclr = unq.colors[j]
    cat("eye color=",iclr,fill=T)
    nm = paste("adx",j,sep="")
    eval.js(paste(nm, "=which(col.labs==iclr)",sep=""))
    plot1[plt1.ind] = paste("axis(3,",nm,",labels=lbls2[",nm,"],cex.axis=1,las=2,col.axis='",iclr,"')", sep="")
    plt1.ind = plt1.ind +1 
  }     
}



###################################################
### chunk number 20: 
###################################################
plot3 = list()
plt3.ind = 1

plot3[plt3.ind] = "mtext('legend: log2 T/C value',side=3,cex=1,line=1/4)"
plt3.ind = plt3.ind + 1
plot3[plt3.ind] = "axis(1,seq(from=-0.5,to=0.5,length=5),line=0)"
plt3.ind = plt3.ind + 1



###################################################
### chunk number 21: 
###################################################
plot4 = list()
plt4.ind = 1

plot4[plt4.ind] = "abline(v=0,col='gray77',lwd=1)"
plt4.ind = plt4.ind + 1
plot4[plt4.ind] = "points(W.lw,scanLoc,col='green',pch=3,cex=0.5)"
plt4.ind = plt4.ind + 1
plot4[plt4.ind] = "points(W.up,scanLoc,col='red',pch=3,cex=0.5)"
plt4.ind = plt4.ind + 1
plot4[plt4.ind] = "lines(W.lw,scanLoc,col='green',pch=3,cex=0.5)"
plt4.ind = plt4.ind + 1
plot4[plt4.ind] = "lines(W.up,scanLoc,col='red',pch=3,cex=0.5)"
plt4.ind = plt4.ind + 1
plot4[plt4.ind] = "axis(3)"
plt4.ind = plt4.ind + 1
plot4[plt4.ind] = "mtext(text='LOS',side=3,line=2,cex=0.5)"
plt4.ind = plt4.ind + 1
plot4[plt4.ind] = "axis(2,at=scanLoc,labels=F)"
plt4.ind = plt4.ind + 1



###################################################
### chunk number 22: 
###################################################
plt.extras = list()
plt.extras$plot1 = plot1
plt.extras$plot2 = NA
plt.extras$plot3 = plot3
plt.extras$plot4 = plot4


###################################################
### chunk number 23: 
###################################################
plot3


###################################################
### chunk number 24: 
###################################################
z.value = "log2ratios.fitted"
xlim = NA
ylim = NA
type = "image" 


###################################################
### chunk number 25: 
###################################################
x.lbls=aCGH$inventory[hc$order,c(1,8)]
y.lbls=aCGH$mapping.info[scanDX,c(5,6,8,10,12)]


###################################################
### chunk number 26: 
###################################################
xy.lbls=list();
log2.ratio = as.matrix(aCGH$log2.ratios[,hc$order])
xy.lbls$log2.ratio = log2.ratio



###################################################
### chunk number 27: 
###################################################
 resize="600x900"


###################################################
### chunk number 28: 
###################################################
sendplot(mat=mat, plot.calls=plot.calls, mai.mat=mai.mat,
         x=x,y=y,z=z,xlim=NA,ylim=NA, z.value=z.value, type="image",
         plt.extras=plt.extras, x.lbls=x.lbls, y.lbls=y.lbls,xy.lbls=xy.lbls, 
         spot.radius=3,up.left=c(83,97),low.right=c(430,635),
         source.plot=NA, img.prog=TRUE,
         resize=resize, bound.pt=FALSE, paint=FALSE)



